QGIS Application - Bug report #17586

Intersects from Select by Location not working for points/lines when using PostGIS layer as first
parameter in QGIS Processing

2017-11-29 03:22 PM - gcarrillo -

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: GNU/Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25483
Description

Using Select by Location, Point-Line or Line-Point intersections don't work, using a PostGIS layer as first parameter ("Select features
from").

History

#1 - 2017-11-30 04:27 PM - Giovanni Manghi
- Priority changed from High to Normal
- Status changed from Open to Feedback

Does it work as expected in 2.18.*?

#2 - 2018-02-22 12:16 PM - Giovanni Manghi

Seems to work ok on latest master. Please leave feedback.

#3 - 2018-02-22 04:37 PM - gcarrillo -

- File select_by _location.png added

| confirm the issue is still ocurring on current master (commit e06e95¢255115803747721cba4ab040869778bb2).

In the attached image, using Select by Location on PostGIS layers, | cannot get the point nor the lines selected using Intersect option. Coordinates in WKT
of those geometries are:

LINES:
'LineString (1001275.92381747951731086 1013987.65009524126071483, 1001300.65313311829231679 1013976.83967183472122997)'

'LineString (1001275.92381747951731086 1013987.65009524126071483, 1001272.29985205247066915 1013979.41545531468000263)'

POINT:
'Point (1001275.92381747951731086 1013987.65009524126071483)'

As you can see, they do share a point.

#4 - 2018-04-19 06:29 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Fixed in 3.0.2
